# Type alias PluginCfg

PluginCfg: {
configuration?: string | any;
deploy_private_key?: string;
description?: string;
documentation_link?: string;
has_auth?: boolean;
has_theme?: boolean;
id?: number | string;
location: string;
name: string;
source: PluginSourceType;
unsafe?: boolean;
version?: string | number;
}

#### Type declaration

- ##### `Optional` configuration?: string | any

- ##### `Optional` deploy_private_key?: string

- ##### `Optional` description?: string

- ##### `Optional` documentation_link?: string

- ##### `Optional` has_auth?: boolean

- ##### `Optional` has_theme?: boolean

- ##### `Optional` id?: number | string

- ##### location: string

- ##### name: string

- ##### source: PluginSourceType

- ##### `Optional` unsafe?: boolean

- ##### `Optional` version?: string | number

- Defined in saltcorn-types/model-abstracts/abstract_plugin.ts:3

Generated using TypeDoc